// creator  : weidu.exe (version 23100)
// argument : DADROW26.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DADROW26~

IF ~NumTimesTalkedTo(0)
Global("SpiderAttacked","AR2200",0)~ THEN BEGIN 0 // from:
  SAY #57149 /* ~I greet you. Do you enjoy watching the spiders feed? 'Tis one of the few pleasures of guard duty.~ */
  IF ~~ THEN REPLY #57157 /* ~It is a horrible way to die.~ */ GOTO 1
  IF ~~ THEN REPLY #57162 /* ~This is murder! We must help these people!~ */ GOTO 3
  IF ~~ THEN REPLY #57163 /* ~I do enjoy seeing the children of Lolth feed.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #57165 /* ~Hah! Horrible for them! What do we care? It isn't us.~ */
  IF ~~ THEN REPLY #57167 /* ~We should help these people!~ */ GOTO 3
  IF ~~ THEN REPLY #57168 /* ~Very true. It is well to have a job with constant entertainment.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 6.2 3.1 1.1 0.2
  SAY #57222 /* ~Indeed, indeed. Well, I must get back. Go well.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 6.1 1.0 0.1
  SAY #57225 /* ~What? You're not from around here, are you? These prisoners have been condemned. The children of Lolth will consume them. Interfere at your peril.~ */
  IF ~~ THEN REPLY #57229 /* ~Nevertheless, I shall interfere. Release them or die.~ */ GOTO 4
  IF ~~ THEN REPLY #57230 /* ~Very well. I will let things progress as they must.~ */ GOTO 2
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #57231 /* ~Fool! What sort of death wish is this? Raise the alarm! The city has been infiltrated!~ */
  IF ~~ THEN DO ~SetGlobal("DrowCityHostile","GLOBAL",1)
Enemy()~ EXIT
END

IF ~Global("SpiderAttacked","AR2200",1)~ THEN BEGIN 5 // from:
  SAY #57232 /* ~Treachery! Raise the alarm! The children of Lolth are under attack!~ */
  IF ~~ THEN DO ~SetGlobal("SpiderAttacked","AR2200",2)
SetGlobal("DrowCityHostile","GLOBAL",1)
Enemy()~ EXIT
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN 6 // from:
  SAY #57233 /* ~What do you want?~ */
  IF ~~ THEN REPLY #57234 /* ~What place is this?~ */ GOTO 7
  IF ~OR(3)
!Dead("daduer3")
!Dead("dadwarf")
!Dead("dakobold")~ THEN REPLY #57235 /* ~This is a slaughter! We should help these people!~ */ GOTO 3
  IF ~~ THEN REPLY #57236 /* ~Nothing at present.~ */ GOTO 2
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #57237 /* ~This is a place of sweet death. The condemned are consumed by Lolth's children. I must be about my duties. Please move along.~ */
  IF ~~ THEN EXIT
END
